##  Reviewer 7MVb


### Comment
- [ ] In their work, authors mention that explicitly provide the allowed predicates is key for being able to automatically evaluate the constructed domains. I would have liked a comparison in terms of time or simplification of the evaluation task with state-of-the-art work to get a clearer idea of the advantage this leads to.
- [ ] Page 5, second column, the end of the sentence “When looking at valid PDDL generated,…” needs to be reviewed. 
- [ ] Page 7, 1st column, the sentence “This finding was one of the motivations for this work…” needs to be reviewed.

### Question

- [ ] Q1. You mentioned that the understanding of ARE could be useful to find false positives in heuristically equivalent domains. Did you carry on any evaluation, or do you have any insights concerning the impact of false positives in the proposed automatically evaluation of generated domains?


## Reviewer 7er5

### Comment

- [ ]  **Dependence on Accurate Natural Language Descriptions:** The methodology relies heavily on accurate natural language descriptions of PDDL actions. Any ambiguity or inaccuracy in these descriptions could significantly impact the quality of the generated PDDL domains.
- [ ]  **Potential for Overfitting to Known Domains:** Since the methodology involves training on known domains, there is a risk that the models may become overfitted to these domains and may not generalize well to entirely new or significantly different domains.
- [ ]  **Evaluation Metrics Limitations:** While the paper introduces new automated evaluation metrics, these metrics might not capture all aspects of domain quality. For example, they might not fully account for the functional correctness of the generated domains in practical planning scenarios.
- [ ]  **Reliance on Pre-Defined Predicate Descriptions:** The approach assumes that a list of predicates and their descriptions are provided. This reliance could limit the approach's applicability when such descriptions are unavailable or difficult to generate.

Limitations regarding LLM usage:

- [ ] **Domain Context Understanding:** The approach assumes that the LLMs understand the domain context well, which may not always be the case. LLMs can sometimes generate plausible but incorrect or irrelevant content, especially in more complex or less common domains.
- [ ] **Challenges with Complex Domains:** The methodology may struggle with complex domains where the relationships and interactions between actions are intricate and nuanced. LLMs might not always capture these subtleties effectively.
- [ ] **Context Window Limitations:** The limited context window of LLMs can be challenging, especially for large and complex domains. This limitation might lead to an incomplete or fragmented understanding of the domain by the LLM.
- [ ] **Computational Resources:** Using large language models can be computationally intensive, which might limit the approach's accessibility for individuals or organizations with limited computational resources.

### Question

- [ ] 1) Clarify how the methodology accounts for potential inaccuracies or ambiguities in the natural language descriptions of PDDL actions. What strategies are employed to ensure that these descriptions accurately reflect the intended actions?
- [ ] 2) How does the methodology handle complex domains where the relationships and interactions between actions are highly intricate? Are there any limitations in the current approach when dealing with such complexities?
- [ ] 3) How well do the models generalize to entirely new or significantly different domains?
- [ ] 4) Please elaborate on the limitations of the newly introduced automated evaluation metrics. Are there aspects of domain quality that these metrics might not capture, particularly in terms of functional correctness in practical scenarios?
- [ ] 5) Please address the challenges mentioned in the weakness part, posed by the limited context window of LLMs, especially in the case of large and complex domains. How does this limitation affect the model's understanding and generation of domain models?
- [ ] 6) How does the reliance on pre-defined predicate descriptions impact the applicability of the methodology in situations where such descriptions are not readily available?
- [ ] 7) Please comment on the computational intensity of using large language models. What are the implications for accessibility, especially for users with limited computational resources?
- [ ] How do these domains perform in practical planning scenarios beyond theoretical evaluations?


## Reviewer yoNB


### Comment

- [ ] It appears that we are required to provide an excessive amount of information to LLMs to generate planning problems.

### Question 

- [ ] Do we have the option to utilize a more abstract level for LLMs to generate PDDL domains, reducing the need for extensive task-specific information?
- [ ] Can the approach integrate newly acquired information into the PDDL? For instance, in the scenario where a robot explores its surroundings and identifies previously unknown objects, will these objects be added to the domain automatically?